Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 246117 - net-wireless/wpa_supplicant-0.6.9 version bump
Summary: net-wireless/wpa_supplicant-0.6.9 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Mobile Herd (OBSOLETE)
URL:
Whiteboard:
Keywords:
: 254774 259698 (view as bug list)
Depends on:
Blocks: 259336 261657
  Show dependency tree
 
Reported: 2008-11-09 03:13 UTC by Tim Harder
Modified: 2009-04-15 23:30 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
wpa_supplicant-0.6.7.ebuild (wpa_supplicant-0.6.7.ebuild,6.62 KB, text/plain)
2009-01-26 22:56 UTC, Davide Pesavento
Details
diff 0.6.4 -> 0.6.7 (wpa_supplicant.ebuild.patch,7.99 KB, patch)
2009-01-26 22:57 UTC, Davide Pesavento
Details | Diff
wpa_supplicant-0.6.8.ebuild (wpa_supplicant-0.6.8.ebuild,6.67 KB, text/plain)
2009-02-18 22:23 UTC, Davide Pesavento
Details
diff 0.6.4 -> 0.6.8 (wpa_supplicant.ebuild.patch,8.53 KB, patch)
2009-02-18 22:27 UTC, Davide Pesavento
Details | Diff
wpa_supplicant-0.6.9.ebuild (wpa_supplicant-0.6.9.ebuild,6.67 KB, text/plain)
2009-03-24 17:28 UTC, Davide Pesavento
Details
diff 0.6.4 -> 0.6.9 (wpa_supplicant.ebuild.patch,8.55 KB, patch)
2009-03-24 17:29 UTC, Davide Pesavento
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Harder gentoo-dev 2008-11-09 03:13:14 UTC
New development version with the following changes:
    * added support for SHA-256 as X.509 certificate digest when using the
      internal X.509/TLSv1 implementation
    * updated management frame protection to use IEEE 802.11w/D6.0
    * added support for using SHA256-based stronger key derivation for WPA2
      (IEEE 802.11w)
    * fixed FT (IEEE 802.11r) authentication after a failed association to
      use correct FTIE
    * added support for configuring Phase 2 (inner/tunneled) authentication
      method with wpa_gui-qt4

Renaming the ebuild for version 0.6.4 works fine.
Comment 1 Wormo (RETIRED) gentoo-dev 2008-11-09 23:54:25 UTC
Thanks for reporting your successful verision bump, assigning to maintainers.
Comment 2 Tim Harder gentoo-dev 2008-11-23 23:27:15 UTC
Version 0.6.6 has been released.
Comment 3 Robert Piasek (RETIRED) gentoo-dev 2008-12-12 14:58:26 UTC
0.6.6 release has some important bugfixes. Any chance for version bump?

It compiles fine using 0.6.4 ebuild (after name change of course).
Comment 4 Kent Hagebrand 2008-12-27 11:50:14 UTC
Compiles, with ebuild copied from 0.6.4, but fails to install the file:
/etc/wpa_supplicant/wpa_cli.sh

>>> Test phase [not enabled]: net-wireless/wpa_supplicant-0.6.6

>>> Install wpa_supplicant-0.6.6 into /var/tmp/portage/net-wireless/wpa_supplicant-0.6.6/image/ category net-wireless
cp: cannot stat `/usr/local/portage/net-wireless/wpa_supplicant/files/wpa_cli.sh': No such file or directory
cp: cannot stat `/usr/local/portage/net-wireless/wpa_supplicant/files/wpa_supplicant.conf': No such file or directory
>>> Completed installing wpa_supplicant-0.6.6 into /var/tmp/portage/net-wireless/wpa_supplicant-0.6.6/image/

With wpa_cli.sh borrowed from 0.6.3 it runs without problem.
Comment 5 Kent Hagebrand 2008-12-27 12:00:40 UTC
(In reply to comment #4)
> Compiles, with ebuild copied from 0.6.4, but fails to install the file:
> /etc/wpa_supplicant/wpa_cli.sh
> 
> >>> Test phase [not enabled]: net-wireless/wpa_supplicant-0.6.6
> 
> >>> Install wpa_supplicant-0.6.6 into /var/tmp/portage/net-wireless/wpa_supplicant-0.6.6/image/ category net-wireless
> cp: cannot stat
> `/usr/local/portage/net-wireless/wpa_supplicant/files/wpa_cli.sh': No such file
> or directory
> cp: cannot stat
> `/usr/local/portage/net-wireless/wpa_supplicant/files/wpa_supplicant.conf': No
> such file or directory
> >>> Completed installing wpa_supplicant-0.6.6 into /var/tmp/portage/net-wireless/wpa_supplicant-0.6.6/image/
> 
> With wpa_cli.sh borrowed from 0.6.3 it runs without problem.
> 

Sorry! Of course the two missing files should be in the /usr/local/portage/net-wireless/wpa_supplicant/files/ directory.

Works like it should now!
Comment 6 Lars Wendler (Polynomial-C) gentoo-dev 2009-01-13 04:36:29 UTC
*** Bug 254774 has been marked as a duplicate of this bug. ***
Comment 7 Ari Entlich 2009-01-13 04:48:02 UTC
Ok since my bug was marked as a duplicate of this one, could I ask that this bug be expanded to include wpa_supplicant 0.6.7 and 0.5.11?

Also, if I may ask, what is holding this up exactly?
Comment 8 Davide Pesavento gentoo-dev 2009-01-26 22:56:18 UTC
Created attachment 179822 [details]
wpa_supplicant-0.6.7.ebuild

Updated ebuild using EAPI-2.

*) Fix wrong dependencies when USE="gnutls ssl"
*) USE="qt3support" for x11-libs/qt:4 is no longer necessary
*) Enable EAP_AKA_PRIME (untested)
*) Disable DRIVER_PRISM54 (upstream says it's "not yet supported, i.e., this
will not work as-is and is for developers only")
*) WPS doesn't compile, so I didn't enable it
*) Enable DELAYED_MIC_ERROR_REPORT to mitigate some attacks against TKIP
*) Use eqmake{3,4} from qt{3,4}.eclass instead of directly invoking qmake
*) Added some die() calls in src_install()
*) Fix bug #207791
Comment 9 Davide Pesavento gentoo-dev 2009-01-26 22:57:58 UTC
Created attachment 179824 [details, diff]
diff 0.6.4 -> 0.6.7
Comment 10 Davide Pesavento gentoo-dev 2009-02-17 11:47:46 UTC
0.6.8 *stable* has been released.
Comment 11 Davide Pesavento gentoo-dev 2009-02-18 22:23:27 UTC
Created attachment 182485 [details]
wpa_supplicant-0.6.8.ebuild

Enabled WPS (compiles now), nl80211 and ralink drivers.
Comment 12 Davide Pesavento gentoo-dev 2009-02-18 22:27:04 UTC
Created attachment 182486 [details, diff]
diff 0.6.4 -> 0.6.8
Comment 13 Steev Klimaszewski (RETIRED) gentoo-dev 2009-02-23 21:39:53 UTC
*** Bug 259698 has been marked as a duplicate of this bug. ***
Comment 14 Steev Klimaszewski (RETIRED) gentoo-dev 2009-02-23 21:43:49 UTC
I made this comment on IRC - I thought I'd left a note on the wpa_supplicant bug too but apparently I was tired and didn't hit submit or something.

As it stands right now, I don't have much free time available to work on Gentoo outside of when I am at work due to my girlfriend's grandfather's Alzheimer's getting really bad - he's currently in the violent stage and cannot feed himself.  I do apologize guys, I do keep stuff in my overlay, and I know it isn't as good as getting it in to portage.  As soon as my situation changes I plan to attack all of the bugs that I can.
Comment 15 Kent Hagebrand 2009-02-27 15:08:20 UTC
(In reply to comment #11)
> Created an attachment (id=182485) [edit]
> wpa_supplicant-0.6.8.ebuild
> 
> Enabled WPS (compiles now), nl80211 and ralink drivers.
> 

Got errors when compiling about missing header files:

# emerge -v  wpa_supplicant

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] net-wireless/wpa_supplicant-0.6.8 [0.6.7] USE="dbus qt3 qt4 readline ssl -debug -gnutls -gsm -madwifi -ps3" 0 kB [?=>1]
.
.
../src/drivers/driver_nl80211.c:18:31: error: netlink/genl/genl.h: No such file or directory
../src/drivers/driver_nl80211.c:19:33: error: netlink/genl/family.h: No such file or directory
../src/drivers/driver_nl80211.c:20:31: error: netlink/genl/ctrl.h: No such file or directory

Bugreport 227235 (net-wireless/bluez-utils) pointed me in the right direction.
- emerge -1 dev-libs/libnl

This installed the missing header files for me and allowed me to compile the 0.6.8 version.

Comment 16 Davide Pesavento gentoo-dev 2009-02-27 15:37:33 UTC
Yeah, sorry... I forgot to add a dependency on dev-libs/libnl.
On the other hand we may choose to drop the nl80211 driver completely, since I still haven't been able to use it, even when running with the latest kernel from wireless-testing git tree.
Comment 17 Alexander E. Patrakov 2009-03-22 06:57:30 UTC
With today's compat-wireless and zd1211rw, -Dnl80211 works for me, at least in ad-hoc mode.
Comment 18 Tim Harder gentoo-dev 2009-03-24 03:21:17 UTC
Version 0.6.9 has been released with a couple bug fixes.
Comment 19 Davide Pesavento gentoo-dev 2009-03-24 17:28:39 UTC
Created attachment 186123 [details]
wpa_supplicant-0.6.9.ebuild
Comment 20 Davide Pesavento gentoo-dev 2009-03-24 17:29:22 UTC
Created attachment 186125 [details, diff]
diff 0.6.4 -> 0.6.9
Comment 21 Davide Pesavento gentoo-dev 2009-03-26 23:41:03 UTC
(In reply to comment #17)
> With today's compat-wireless and zd1211rw, -Dnl80211 works for me, at least in
> ad-hoc mode.
> 

Now it works for me too. I'm using 2.6.29-wl (latest wireless-testing kernel from git) with ath9k in managed mode.
Comment 22 Davide Pesavento gentoo-dev 2009-04-07 22:03:20 UTC
Jouni Malinen, wpa_supplicant's upstream developer, suggests changing the default TLS/crypto library from GnuTLS to OpenSSL, i.e. USE="ssl" should have precedence over USE="gnutls".
Comment 23 Bjarke Istrup Pedersen (RETIRED) gentoo-dev 2009-04-15 21:48:13 UTC
Version 0.6.9 has been added to the tree.
It has been change, so that it defaults to use openssl if both openssl and gnutls is selected.

Also, the problem in #252246 has been fixed.
Comment 24 Davide Pesavento gentoo-dev 2009-04-15 23:30:31 UTC
(In reply to comment #23)
> Version 0.6.9 has been added to the tree.
> It has been change, so that it defaults to use openssl if both openssl and
> gnutls is selected.
> 

Heh, you didn't change the deps though...